<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title style="    margin-left: -50px;">
      <ion-item lines="none" style="height: 50px;width:105%">
        <ion-searchbar debounce="1000" (ionChange)="search()" [(ngModel)]="keyword" #searchInput mode="ios"
          placeholder="Cari buku..." style="height: 50px;"></ion-searchbar>
      </ion-item>
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-list class="ion-padding-start ion-padding-end">
    <ion-item lines="full" [hidden]="titleList?.length == 0" *ngFor="let list of titleList"
      (click)="gotoBook(list?.bookTitle)">
      <ion-icon name="search" slot="start"></ion-icon>
      <ion-label>{{list?.bookTitle}}</ion-label>
    </ion-item>
  </ion-list>

  <div class="ion-text-center" *ngIf="titleList?.length == 0" style="margin-top:20vh" fxLayoutAlign="center center"
    flex="100">
    <img src="assets/img/img-search-book.png" style="width: 30%">
    <h2>Cari buku yang kamu suka....</h2>
  </div>

</ion-content>